﻿using Hotline.File;
using Hotline.Repository.SqlSugar.DataPermissions;
using SqlSugar;
using XF.Domain.Dependency;
using XF.Domain.Repository;

namespace Hotline.Repository.SqlSugar.File
{
	public class FileRepository : BaseRepository<Hotline.File.File>, IRepository<Hotline.File.File>, IScopeDependency
	{
		public FileRepository(ISugarUnitOfWork<HotlineDbContext> uow, IDataPermissionFilterBuilder dataPermissionFilterBuilder) : base(uow, dataPermissionFilterBuilder)
		{
		}
	}
}
